import request from "@/utils/request";

// 添加股东
export function add(data) {
  return request({
    url: "/Holders/Holders/add",
    method: "post",
    data,
  });
}

// 获取股东列表
export function Lst(data) {
  return request({
    url: "/Holders/Holders/Lst",
    method: "post",
    data,
  });
}

// 获取股东信息
export function Getinfo(data) {
  return request({
    url: "/Holders/Holders/Getinfo",
    method: "post",
    data,
  });
}

// 增加减少股份
export function editShares(data) {
  return request({
    url: "/Holders/Holders/edit_shares",
    method: "post",
    data,
  });
}
// 股份记录
export function sharesList(data) {
  return request({
    url: "/Holders/HoldersRecord/list",
    method: "post",
    data,
  });
}

// 分红记录
export function holdersBonusList(data) {
  return request({
    url: "/Holders/HoldersBonus/list",
    method: "post",
    data,
  });
}

